/**
  *  \file client/dialogs/basetaskbuild.h
  *  \brief WBaseTaskShipBuildDialog dialog
  *
  *  (c) 2001-2019 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_DIALOGS_BASETASKBUILD_H
#define PCC_V2_CLIENT_DIALOGS_BASETASKBUILD_H

#include "client/dialogs/shipbuilddlg.h"

/** Starbase Auto Task Ship Build Dialog. This dialog allows choosing
    a ship to build from a (predicted) planet. It will not modify the
    planet. Users can use the produced TBuildOrder to generate a
    command. */
class WBaseTaskShipBuildDialog : public WShipBuildDialog {
    void init();
 public:
    WBaseTaskShipBuildDialog(GPlanet& planet, std::vector<int>& hulls);
    ~WBaseTaskShipBuildDialog();

    bool runDialog();

    const TBuildOrder& getBuildOrder();
};

#endif
