/**
  *  \file client/tiles/errortile.cc
  *
  *  (c) 2001-2019 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */

#include "client/tiles/errortile.h"
#include "ui/uiglobal.h"

WErrorTile::WErrorTile(string_t message)
    : WTile(font_sizes[FONT_NORMAL].scaledBy(20, 2)),
      message(message)
{ }

void
WErrorTile::drawData(GfxCanvas& can)
{
    // Position
    GfxRect in = getInnerSize(0, 0);

    // Frame
    GfxContext ctx;
    ctx.useCanvas(can);
    ctx.useFont(*fonts[FONT_NORMAL]);
    ctx.useColorScheme(getSkin());
    ctx.setColor(UIColor::tc_Red);
    drawRectangle(ctx, in);

    // Text
    outText(ctx, 5, (in.h - font_heights[FONT_NORMAL])/2, message);
}
