/**
  *  \file reshack/picedit.h
  *
  *  (c) 2001-2019 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_RESHACK_PICEDIT_H
#define PCC_V2_RESHACK_PICEDIT_H

#include "reshack/edit.h"
#include "gfx/pixmap.h"
#include "reshack/colors.h"

/** Picture editor. */
class RHPictureEditor : public RHEditor {
    Ptr<GfxPixmap> pixmap;
    string_t file_name;
    bool dirty;
    ColorMode color_mode;
 public:
    RHPictureEditor(Ptr<GfxPixmap> pixmap, string_t file_name);
    RHPictureEditor(Ptr<GfxPixmap> pixmap, ColorMode color_mode);
    ~RHPictureEditor();

    string_t getName();
    void edit();
    void save();
    void saveImage(string_t name, int format);
    bool hasUnsavedChanges();
};

#endif
